SOGo | BTS

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001640SOGoWeb Preferencespublic2012-02-17 08:502012-11-27 10:57
ReporterAltibox 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.3.11 
Target Version2.0.3Fixed in Version2.0.3 
Summary0001640: "Place my Signature" Preference does not work
DescriptionWhen 'below my reply' is selected for the "and Place My Signature" preference, it does not stick. It reverts back to 'below the quote'.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to 0000840closed wrong signature placement when forwading mails 

-  Notes
User avatar (0003467)
Christian Mack (developer)
2012-02-20 11:27

Sorry, can't reproduce this in 1.3.11.
Did you store your change with "Save and Close"?
(0003489)
jknupp (reporter)
2012-02-24 20:57

I am seeing the same thing. I create an HTML signature that includes a newline. SOGo can no longer read or update settings. Set the signature to something witout newlines and everything works. Log shows (Newline character occurs after
):

Feb 24 03:44:12 sogod [17528]: [ERROR] <0x0x8b55610[SOGoSQLUserProfile]> failed to parse property list value for defaults profile (error: Parse failed at line 1 (char 18) - unexpected character (wanted '=')): {"SOGoTimeFormat": "%H:%M", "SOGoMailSignature": "John Knupp
(0003490)
jknupp (reporter)
2012-02-24 21:02

Some of the HTML formatting got removed from my update. After the closing STRONG tag is a BR tag followed by newline.

I intended my signature to look like:
John Knupp
Data Solution
(0003505)
Altibox (reporter)
2012-03-01 04:47

Yes i stored my changed with "Save and Close". The problem still occure in v 1.3.12.

When i go to Preferences - Mail options - and change the "place my signature" to "below my reply" and hit save and close. When i then go back in to the menu again i see that the place my signature have moved back to "below my quote", not "below my reply" as i saved. My signature does not have a new line at all. It just says "Best regards ...."
User avatar (0003506)
Christian Mack (developer)
2012-03-01 05:01

Do you see errors in the sogo log when storing the preferences?
(0003507)
Altibox (reporter)
2012-03-01 05:26

I can`t see any errors no.
From the log file:


xx.xxx.xx.xxx - - [01/Mar/2012:11:23:49 GMT] "POST /SOGo/so/address@xxxx.xx/preferences HTTP/1.1" 200 503/1936 0.173 - - 100K
(0003642)
Altibox (reporter)
2012-03-26 07:14

Hi,

Have you guys been able to have a further look into this case?
(0004232)
Altibox (reporter)
2012-07-27 08:57

Hello,

We have now updated our lab to version 1.3.17 of Sogo, but this error still occure. I looked some more at the case, but as before I do not get any errors in the sogo.log when i choose below my reply. This is what i got in the sogo.log when saving.

Jul 27 14:39:26 sogod [15024]: |SOGo| starting method 'POST' on uri '/SOGo/so/xxxx.xxxxxx@lyse.net/preferences'
Jul 27 14:39:26 sogod [15024]: |SOGo| request took 0.248609 seconds to execute
81.xxx.xx.xxx - - [27/Jul/2012:14:39:26 GMT] "POST /SOGo/so/kxxxx.xxxxxx@lyse.net/preferences HTTP/1.1" 200 503/2030 0.250 - - 32

After I saved the settings i used sogo-tool to check the preference for the customer, but SOGoMailReplyPlacement is still set to "below".

Would it help you with the debug if you got a tcpdump of the traffic?
(0004432)
Altibox (reporter)
2012-09-05 04:30

Is there any new information in this case?
(0004462)
pwarren (reporter)
2012-09-11 22:27

I too am seeing this issue.

I'm using SOGo v1.3.18a. I have a plain text signature. Similarly to Altibox, there's only the GET and POST lines in the log file, and the setting does not get saved.
(0004463)
pwarren (reporter)
2012-09-11 22:32

I just found a work-around.

* Set your preference for "Compose messages in" to "text"
* Set the place my signature to below my reply.
* Save and Close
* Reopen Preference
* Set "Compose messages in" back to HTML

Hope that helps.

I've also noticed that the "Start my reply above the quote" is greyed out when your Compose messsages in is set to HTML.
User avatar (0004536)
francis (administrator)
2012-09-24 16:15

What browser do you use?
(0004537)
pwarren (reporter)
2012-09-24 19:30
edited on: 2012-09-24 19:32

I've seen this behaviour with

Chrome 22
Firefox 10 ESR
IE 9

and my SOGo version is 1.3.18

User avatar (0004543)
francis (administrator)
2012-09-25 09:05

Does the problem happens with a new account? You can try from an existing account by deleting the user data :

sogo-tool remove <username>
(0004550)
pwarren (reporter)
2012-09-25 22:22

Okay, for a new user, the setting seems to stick, similarly with doing sogo-tool remove for a username that's having trouble.

The "Start my reply" option is still greyed out when compose is set to HTML.
User avatar (0004571)
francis (administrator)
2012-09-26 14:18

That's normal because we can't position the text caret when using the HTML editor.
User avatar (0004993)
ludovic (administrator)
2012-11-27 10:57

Fixed with this commit: https://github.com/inverse-inc/sogo/commit/1d0eb6678170580180864d385bc58308b721d170 [^]

- Issue History
Date Modified Username Field Change
2012-02-17 08:50 Altibox New Issue
2012-02-20 11:27 Christian Mack Note Added: 0003467
2012-02-24 20:57 jknupp Note Added: 0003489
2012-02-24 21:02 jknupp Note Added: 0003490
2012-03-01 04:47 Altibox Note Added: 0003505
2012-03-01 05:01 Christian Mack Note Added: 0003506
2012-03-01 05:26 Altibox Note Added: 0003507
2012-03-26 07:14 Altibox Note Added: 0003642
2012-07-23 13:48 ludovic Relationship added related to 0000840
2012-07-27 08:57 Altibox Note Added: 0004232
2012-09-05 04:30 Altibox Note Added: 0004432
2012-09-11 22:27 pwarren Note Added: 0004462
2012-09-11 22:32 pwarren Note Added: 0004463
2012-09-20 09:19 ludovic Target Version => 2.0.0
2012-09-24 16:15 francis Note Added: 0004536
2012-09-24 19:30 pwarren Note Added: 0004537
2012-09-24 19:32 pwarren Note Edited: 0004537
2012-09-25 09:05 francis Note Added: 0004543
2012-09-25 22:22 pwarren Note Added: 0004550
2012-09-26 14:18 francis Note Added: 0004571
2012-09-27 14:34 francis Target Version 2.0.0 => 2.0.1
2012-10-03 13:07 wsourdeau Target Version 2.0.1 =>
2012-11-27 10:57 ludovic Target Version => 2.0.3
2012-11-27 10:57 ludovic Note Added: 0004993
2012-11-27 10:57 ludovic Status new => closed
2012-11-27 10:57 ludovic Resolution open => fixed
2012-11-27 10:57 ludovic Fixed in Version => 2.0.3


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker